Index: LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosol_interp.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosol_interp.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosol_interp.F90	(revision 5103)
@@ -6,5 +6,5 @@
 ! the pre-industrial values(pi_mass_out) for aerosol corresponding to "id_aero".
 ! The mass concentrations for all aerosols are saved in this routine but each
-! call to this routine only treats the aerosol "id_aero".
+! CALL to this routine only treats the aerosol "id_aero".
 
 ! 1) Read in data for the whole year, only at first time step
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosolstrato.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosolstrato.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosolstrato.F90	(revision 5103)
@@ -1,3 +1,3 @@
-subroutine readaerosolstrato(debut)
+SUBROUTINE readaerosolstrato(debut)
 
     use netcdf95, only: nf95_close, nf95_gw_var, nf95_inq_dimid, & 
@@ -203,3 +203,3 @@
     ENDDO
 
-end subroutine readaerosolstrato
+END SUBROUTINE  readaerosolstrato
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/regr_horiz_time_climoz_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/regr_horiz_time_climoz_m.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/regr_horiz_time_climoz_m.F90	(revision 5103)
@@ -329,15 +329,15 @@
         DO iv = 1, read_climoz
           CALL nf95_inq_varid(fID_in, vars_in(1), vID_in(iv))
-          IF(l3D) call nf95_get_var(fID_in, vID_in(iv), o3_in3(1:nlon_in, :, :, 1:12, iv))
-          IF(l2D) call nf95_get_var(fID_in, vID_in(iv), o3_in2(:, :, 1:12, iv))
+          IF(l3D) CALL nf95_get_var(fID_in, vID_in(iv), o3_in3(1:nlon_in, :, :, 1:12, iv))
+          IF(l2D) CALL nf95_get_var(fID_in, vID_in(iv), o3_in2(:, :, 1:12, iv))
           IF(lprev) THEN; sta(ndims) = 12
           CALL nf95_inq_varid(fID_in_m, vars_in(1), vID_in(iv))
-          IF(l3D) call nf95_get_var(fID_in_m, vID_in(iv), o3_in3(1:nlon_in, :, :, 0, iv), sta, cnt)
-          IF(l2d) call nf95_get_var(fID_in_m, vID_in(iv), o3_in2(:, :, 0, iv), sta, cnt)
+          IF(l3D) CALL nf95_get_var(fID_in_m, vID_in(iv), o3_in3(1:nlon_in, :, :, 0, iv), sta, cnt)
+          IF(l2d) CALL nf95_get_var(fID_in_m, vID_in(iv), o3_in2(:, :, 0, iv), sta, cnt)
           END IF
           IF(lnext) THEN; sta(ndims) = 1
           CALL nf95_inq_varid(fID_in_p, vars_in(1), vID_in(iv))
-          IF(l3D) call nf95_get_var(fID_in_p, vID_in(iv), o3_in3(1:nlon_in, :, :, 13, iv), sta, cnt)
-          IF(l2D) call nf95_get_var(fID_in_p, vID_in(iv), o3_in2(:, :, 13, iv), sta, cnt)
+          IF(l3D) CALL nf95_get_var(fID_in_p, vID_in(iv), o3_in3(1:nlon_in, :, :, 13, iv), sta, cnt)
+          IF(l2D) CALL nf95_get_var(fID_in_p, vID_in(iv), o3_in2(:, :, 13, iv), sta, cnt)
           END IF
         END DO
@@ -596,5 +596,5 @@
           vID_ou, ndims, cal_ou)
     !-------------------------------------------------------------------------------
-    ! Purpose:  This subroutine creates the NetCDF output file, defines
+    ! Purpose:  This SUBROUTINE creates the NetCDF output file, defines
     !     dimensions and variables, and writes some of the coordinate variables.
     !-------------------------------------------------------------------------------
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/regr_lat_time_coefoz_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/regr_lat_time_coefoz_m.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/regr_lat_time_coefoz_m.F90	(revision 5103)
@@ -11,5 +11,5 @@
 contains
 
-  subroutine regr_lat_time_coefoz
+  SUBROUTINE regr_lat_time_coefoz
 
     ! "regr_lat_time_coefoz" stands for "regrid latitude time
@@ -153,10 +153,10 @@
     name_out(i_v) = "R_Het"
 
-    call nf95_open("coefoz.nc", nf90_nowrite, ncid_in)
+    CALL nf95_open("coefoz.nc", nf90_nowrite, ncid_in)
 
     ! Get coordinates from the input file:
 
-    call nf95_inq_varid(ncid_in, "latitude", varid)
-    call nf95_gw_var(ncid_in, varid, latitude)
+    CALL nf95_inq_varid(ncid_in, "latitude", varid)
+    CALL nf95_gw_var(ncid_in, varid, latitude)
     ! Convert from degrees to rad, because "boundslat_reg" is in rad:
     latitude = latitude / 180. * pi
@@ -174,6 +174,6 @@
     deallocate(latitude)
 
-    call nf95_inq_varid(ncid_in, "plev", varid)
-    call nf95_gw_var(ncid_in, varid, plev)
+    CALL nf95_inq_varid(ncid_in, "plev", varid)
+    CALL nf95_gw_var(ncid_in, varid, plev)
     n_plev = size(plev)
     ! (We only need the pressure coordinate to copy it to the output file.)
@@ -181,14 +181,14 @@
     ! Get the IDs of ozone parameters in the input file:
     do i_v = 1, n_o3_param
-       call nf95_inq_varid(ncid_in, trim(name_in(i_v)), varid_in(i_v))
+       CALL nf95_inq_varid(ncid_in, trim(name_in(i_v)), varid_in(i_v))
     END DO
 
     ! Create the output file and get the variable IDs:
-    call prepare_out(ncid_in, varid_in, n_plev, name_out, ncid_out, &
+    CALL prepare_out(ncid_in, varid_in, n_plev, name_out, ncid_out, &
          varid_out, varid_plev, varid_time)
 
     ! Write remaining coordinate variables:
-    call nf95_put_var(ncid_out, varid_time, tmidday)
-    call nf95_put_var(ncid_out, varid_plev, plev)
+    CALL nf95_put_var(ncid_out, varid_time, tmidday)
+    CALL nf95_put_var(ncid_out, varid_plev, plev)
 
     deallocate(plev)
@@ -201,5 +201,5 @@
        ! Process ozone parameter "name_in(i_v)"
 
-       call nf95_get_var(ncid_in, varid_in(i_v), o3_par_in)
+       CALL nf95_get_var(ncid_in, varid_in(i_v), o3_par_in)
        if (desc_lat) o3_par_in = o3_par_in(n_lat:1:-1, :, :)
 
@@ -207,5 +207,5 @@
        ! We average with respect to sine of latitude, which is
        ! equivalent to weighting by cosine of latitude:
-       call regr_conserv(1, o3_par_in, xs = sin(lat_in_edg), &
+       CALL regr_conserv(1, o3_par_in, xs = sin(lat_in_edg), &
             xt = (/-1., sin((/boundslat_reg(nbp_lat-1:1:-1,south)/)), 1./), &
             vt = v_regr_lat(nbp_lat:1:-1, :, 1:12))
@@ -219,23 +219,23 @@
 
        ! Regrid in time by linear interpolation:
-       call regr_lint(3, v_regr_lat, tmidmonth, tmidday, o3_par_out)
+       CALL regr_lint(3, v_regr_lat, tmidmonth, tmidday, o3_par_out)
 
        ! Write to file:
-       call nf95_put_var(ncid_out, varid_out(i_v), &
+       CALL nf95_put_var(ncid_out, varid_out(i_v), &
             o3_par_out(nbp_lat:1:-1, :, :))
        ! (The order of "rlatu" is inverted in the output file)
     END DO
 
-    call nf95_close(ncid_out)
-    call nf95_close(ncid_in)
-
-  end subroutine regr_lat_time_coefoz
+    CALL nf95_close(ncid_out)
+    CALL nf95_close(ncid_in)
+
+  END SUBROUTINE  regr_lat_time_coefoz
 
   !********************************************
 
-  subroutine prepare_out(ncid_in, varid_in, n_plev, name_out, ncid_out, &
+  SUBROUTINE prepare_out(ncid_in, varid_in, n_plev, name_out, ncid_out, &
        varid_out, varid_plev, varid_time)
 
-    ! This subroutine creates the NetCDF output file, defines
+    ! This SUBROUTINE creates the NetCDF output file, defines
     ! dimensions and variables, and writes one of the coordinate variables.
 
@@ -266,31 +266,31 @@
          size(name_out), "prepare_out") 
 
-    call nf95_create("coefoz_LMDZ.nc", nf90_clobber, ncid_out)
+    CALL nf95_create("coefoz_LMDZ.nc", nf90_clobber, ncid_out)
 
     ! Dimensions:
-    call nf95_def_dim(ncid_out, "time", 360, dimid_time)
-    call nf95_def_dim(ncid_out, "plev", n_plev, dimid_plev)
-    call nf95_def_dim(ncid_out, "rlatu", nbp_lat, dimid_rlatu)
+    CALL nf95_def_dim(ncid_out, "time", 360, dimid_time)
+    CALL nf95_def_dim(ncid_out, "plev", n_plev, dimid_plev)
+    CALL nf95_def_dim(ncid_out, "rlatu", nbp_lat, dimid_rlatu)
 
     ! Define coordinate variables:
 
-    call nf95_def_var(ncid_out, "time", nf90_float, dimid_time, varid_time)
-    call nf95_put_att(ncid_out, varid_time, "units", "days since 2000-1-1")
-    call nf95_put_att(ncid_out, varid_time, "calendar", "360_day")
-    call nf95_put_att(ncid_out, varid_time, "standard_name", "time")
-
-    call nf95_def_var(ncid_out, "plev", nf90_float, dimid_plev, varid_plev)
-    call nf95_put_att(ncid_out, varid_plev, "units", "millibar")
-    call nf95_put_att(ncid_out, varid_plev, "standard_name", "air_pressure")
-    call nf95_put_att(ncid_out, varid_plev, "long_name", "air pressure")
-
-    call nf95_def_var(ncid_out, "rlatu", nf90_float, dimid_rlatu, varid_rlatu)
-    call nf95_put_att(ncid_out, varid_rlatu, "units", "degrees_north")
-    call nf95_put_att(ncid_out, varid_rlatu, "standard_name", "latitude")
+    CALL nf95_def_var(ncid_out, "time", nf90_float, dimid_time, varid_time)
+    CALL nf95_put_att(ncid_out, varid_time, "units", "days since 2000-1-1")
+    CALL nf95_put_att(ncid_out, varid_time, "calendar", "360_day")
+    CALL nf95_put_att(ncid_out, varid_time, "standard_name", "time")
+
+    CALL nf95_def_var(ncid_out, "plev", nf90_float, dimid_plev, varid_plev)
+    CALL nf95_put_att(ncid_out, varid_plev, "units", "millibar")
+    CALL nf95_put_att(ncid_out, varid_plev, "standard_name", "air_pressure")
+    CALL nf95_put_att(ncid_out, varid_plev, "long_name", "air pressure")
+
+    CALL nf95_def_var(ncid_out, "rlatu", nf90_float, dimid_rlatu, varid_rlatu)
+    CALL nf95_put_att(ncid_out, varid_rlatu, "units", "degrees_north")
+    CALL nf95_put_att(ncid_out, varid_rlatu, "standard_name", "latitude")
 
     ! Define primary variables:
 
     do i = 1, n_o3_param
-       call nf95_def_var(ncid_out, name_out(i), nf90_float, &
+       CALL nf95_def_var(ncid_out, name_out(i), nf90_float, &
             (/dimid_rlatu, dimid_plev, dimid_time/), varid_out(i))
 
@@ -300,31 +300,31 @@
        ncerr = nf90_copy_att(ncid_in, varid_in(i), "long_name",&
    ncid_out, varid_out(i))
-       call handle_err_copy_att("long_name")
+       CALL handle_err_copy_att("long_name")
 
        ncerr = nf90_copy_att(ncid_in, varid_in(i), "units", ncid_out,&
    varid_out(i))
-       call handle_err_copy_att("units")
+       CALL handle_err_copy_att("units")
 
        ncerr = nf90_copy_att(ncid_in, varid_in(i), "standard_name", ncid_out,&
    varid_out(i))
-       call handle_err_copy_att("standard_name")
+       CALL handle_err_copy_att("standard_name")
     END DO
 
     ! Global attributes:
-    call nf95_copy_att(ncid_in, nf90_global, "Conventions", ncid_out, &
+    CALL nf95_copy_att(ncid_in, nf90_global, "Conventions", ncid_out, &
          nf90_global)
-    call nf95_copy_att(ncid_in, nf90_global, "title", ncid_out, nf90_global)
-    call nf95_copy_att(ncid_in, nf90_global, "source", ncid_out, nf90_global)
-    call nf95_put_att(ncid_out, nf90_global, "comment", "Regridded for LMDZ")
-
-    call nf95_enddef(ncid_out)
+    CALL nf95_copy_att(ncid_in, nf90_global, "title", ncid_out, nf90_global)
+    CALL nf95_copy_att(ncid_in, nf90_global, "source", ncid_out, nf90_global)
+    CALL nf95_put_att(ncid_out, nf90_global, "comment", "Regridded for LMDZ")
+
+    CALL nf95_enddef(ncid_out)
 
     ! Write one of the coordinate variables:
-    call nf95_put_var(ncid_out, varid_rlatu, lat_reg(nbp_lat:1:-1) / pi * 180.)
+    CALL nf95_put_var(ncid_out, varid_rlatu, lat_reg(nbp_lat:1:-1) / pi * 180.)
     ! (convert from rad to degrees and sort in ascending order)
 
   contains
 
-    subroutine handle_err_copy_att(att_name)
+    SUBROUTINE handle_err_copy_att(att_name)
 
       use netcdf, only: nf90_noerr, nf90_strerror
@@ -340,7 +340,7 @@
       end if
 
-    end subroutine handle_err_copy_att
-
-  end subroutine prepare_out
+    END SUBROUTINE  handle_err_copy_att
+
+  END SUBROUTINE  prepare_out
 
 end module regr_lat_time_coefoz_m
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_comb_coefoz_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_comb_coefoz_m.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_comb_coefoz_m.F90	(revision 5103)
@@ -34,5 +34,5 @@
 contains
 
-  subroutine alloc_coefoz
+  SUBROUTINE alloc_coefoz
 
     ! This procedure is called once per run.
@@ -52,9 +52,9 @@
     allocate(a6_mass(klon, nbp_lev), r_het_interm(klon, nbp_lev))
 
-  end subroutine alloc_coefoz
+  END SUBROUTINE  alloc_coefoz
 
   !*******************************************************
 
-  subroutine regr_pr_comb_coefoz(julien, rlat, paprs, pplay)
+  SUBROUTINE regr_pr_comb_coefoz(julien, rlat, paprs, pplay)
 
     ! "regr_pr_comb_coefoz" stands for "regrid pressure combine
@@ -119,14 +119,14 @@
 
     !!print *, "Call sequence information: regr_pr_comb_coefoz"
-    call assert((/size(rlat), size(paprs, 1), size(pplay, 1)/) == klon, &
+    CALL assert((/size(rlat), size(paprs, 1), size(pplay, 1)/) == klon, &
          "regr_pr_comb_coefoz klon")
-    call assert((/size(paprs, 2) - 1, size(pplay, 2)/) == nbp_lev, &
+    CALL assert((/size(paprs, 2) - 1, size(pplay, 2)/) == nbp_lev, &
          "regr_pr_comb_coefoz nbp_lev")
 
     !$omp master
-    if (is_mpi_root) call nf95_open("coefoz_LMDZ.nc", nf90_nowrite, ncid)
+    if (is_mpi_root) CALL nf95_open("coefoz_LMDZ.nc", nf90_nowrite, ncid)
     !$omp end master
 
-    call regr_pr_time_av(ncid, (/"a2           ", "a4           ", "a6           ", &
+    CALL regr_pr_time_av(ncid, (/"a2           ", "a4           ", "a6           ", &
          "P_net_Mob    ", "r_Mob        ", "temp_Mob     ", "R_Het        "/),      &
          REAL(julien-1), 'I', press_in_edg, paprs, coefoz)
@@ -140,5 +140,5 @@
 
     ! We can overwrite "coefoz(:, :, 1)", which was saved to "a2":
-    call regr_pr_int(ncid, "Sigma_Mob", julien, plev, pplay, top_value=0., &
+    CALL regr_pr_int(ncid, "Sigma_Mob", julien, plev, pplay, top_value=0., &
          v3=coefoz(:, :, 1))
 
@@ -156,8 +156,8 @@
 
     !$omp master
-    if (is_mpi_root) call nf95_close(ncid)
+    if (is_mpi_root) CALL nf95_close(ncid)
     !$omp end master
 
-  end subroutine regr_pr_comb_coefoz
+  END SUBROUTINE  regr_pr_comb_coefoz
 
 end module regr_pr_comb_coefoz_m
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_int_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_int_m.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_int_m.F90	(revision 5103)
@@ -8,5 +8,5 @@
 contains
 
-  subroutine regr_pr_int(ncid, name, julien, plev, pplay, top_value, v3)
+  SUBROUTINE regr_pr_int(ncid, name, julien, plev, pplay, top_value, v3)
 
     ! "regr_pr_int" stands for "regrid pressure interpolation".
@@ -70,13 +70,13 @@
     !--------------------------------------------
 
-    call assert(shape(v3) == (/klon, nbp_lev/), "regr_pr_int v3")
-    call assert(shape(pplay) == (/klon, nbp_lev/), "regr_pr_int pplay")
+    CALL assert(shape(v3) == (/klon, nbp_lev/), "regr_pr_int v3")
+    CALL assert(shape(pplay) == (/klon, nbp_lev/), "regr_pr_int pplay")
 
     !$omp master
     if (is_mpi_root) then
-       call nf95_inq_varid(ncid, name, varid)
+       CALL nf95_inq_varid(ncid, name, varid)
 
        ! Get data at the right day from the input file:
-       call nf95_get_var(ncid, varid, v1(1, :, 1:), start=(/1, 1, julien/))
+       CALL nf95_get_var(ncid, varid, v1(1, :, 1:), start=(/1, 1, julien/))
        ! Latitudes are in ascending order in the input file while
        ! "rlatu" is in descending order so we need to invert order:
@@ -91,14 +91,14 @@
     !$omp end master
 
-    call scatter2d(v1, v2)
+    CALL scatter2d(v1, v2)
 
     ! Regrid in pressure at each horizontal position:
     do i = 1, klon
-       call regr_lint(1, v2(i, :), (/0., plev/), pplay(i, nbp_lev:1:-1), &
+       CALL regr_lint(1, v2(i, :), (/0., plev/), pplay(i, nbp_lev:1:-1), &
                          v3(i, nbp_lev:1:-1))
        ! (invert order of indices because "pplay" is in descending order)
     END DO
 
-  end subroutine regr_pr_int
+  END SUBROUTINE  regr_pr_int
 
 end module regr_pr_int_m
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_o3_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_o3_m.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_o3_m.F90	(revision 5103)
@@ -6,5 +6,5 @@
 contains
 
-  subroutine regr_pr_o3(p3d, o3_mob_regr)
+  SUBROUTINE regr_pr_o3(p3d, o3_mob_regr)
 
     ! "regr_pr_o3" stands for "regrid pressure ozone".
@@ -55,18 +55,18 @@
 
     print *, "Call sequence information: regr_pr_o3"
-    call assert(shape(o3_mob_regr) == (/nbp_lon + 1, nbp_lat, nbp_lev/), &
+    CALL assert(shape(o3_mob_regr) == (/nbp_lon + 1, nbp_lat, nbp_lev/), &
          "regr_pr_o3 o3_mob_regr")
-    call assert(shape(p3d) == (/nbp_lon + 1, nbp_lat, nbp_lev + 1/), "regr_pr_o3 p3d")
+    CALL assert(shape(p3d) == (/nbp_lon + 1, nbp_lat, nbp_lev + 1/), "regr_pr_o3 p3d")
 
-    call nf95_open("coefoz_LMDZ.nc", nf90_nowrite, ncid)
+    CALL nf95_open("coefoz_LMDZ.nc", nf90_nowrite, ncid)
 
-    call nf95_inq_varid(ncid, "r_Mob", varid)
+    CALL nf95_inq_varid(ncid, "r_Mob", varid)
     ! Get data at the right day from the input file:
-    call nf95_get_var(ncid, varid, r_mob, start=(/1, 1, day_ref/))
+    CALL nf95_get_var(ncid, varid, r_mob, start=(/1, 1, day_ref/))
     ! Latitudes are in ascending order in the input file while
     ! "rlatu" is in descending order so we need to invert order:
     r_mob = r_mob(nbp_lat:1:-1, :)
 
-    call nf95_close(ncid)
+    CALL nf95_close(ncid)
 
     ! Regrid in pressure by averaging a step function of pressure:
@@ -74,5 +74,5 @@
     ! Poles:
     do j = 1, nbp_lat, nbp_lat-1
-       call regr_conserv(1, r_mob(j, :), press_in_edg, &
+       CALL regr_conserv(1, r_mob(j, :), press_in_edg, &
             p3d(1, j, nbp_lev + 1:1:-1), o3_mob_regr(1, j, nbp_lev:1:-1))
        ! (invert order of indices because "p3d" is in descending order)
@@ -82,5 +82,5 @@
     do j = 2, nbp_lat-1
        do i = 1, nbp_lon
-          call regr_conserv(1, r_mob(j, :), press_in_edg, &
+          CALL regr_conserv(1, r_mob(j, :), press_in_edg, &
                p3d(i, j, nbp_lev + 1:1:-1), o3_mob_regr(i, j, nbp_lev:1:-1))
           ! (invert order of indices because "p3d" is in descending order)
@@ -96,5 +96,5 @@
     o3_mob_regr(nbp_lon + 1, 2:nbp_lat-1, :) = o3_mob_regr(1, 2:nbp_lat-1, :)
 
-  end subroutine regr_pr_o3
+  END SUBROUTINE  regr_pr_o3
 
 end module regr_pr_o3_m
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_time_av_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_time_av_m.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_time_av_m.F90	(revision 5103)
@@ -42,5 +42,5 @@
 !      adjustment is activated, to avoid "strairs shape effect" on profiles.
 !  * All the fields are regridded as a single multi-dimensional array, so it
-!    saves CPU time to call this procedure once for several NetCDF variables
+!    saves CPU time to CALL this procedure once for several NetCDF variables
 !    rather than several times, each time for a single NetCDF variable.
 !  * The input file pressure at tropopause can be (in decreasing priority):
@@ -91,5 +91,5 @@
   LOGICAL, SAVE :: lPrTfile                        !--- Tropopause pressure flag
   LOGICAL, SAVE :: lO3Tfile                        !--- Tropopause ozone flag
-  LOGICAL, SAVE :: lfirst=.TRUE.                   !--- First call flag
+  LOGICAL, SAVE :: lfirst=.TRUE.                   !--- First CALL flag
 !$OMP THREADPRIVATE(lfirst)
   REAL,    PARAMETER :: pTropUp=9.E+3 !--- Value  <  tropopause pressure (Pa)
@@ -482,6 +482,6 @@
   CALL nf95_inq_varid(fID, TRIM(var), vID)
   CALL nf95_inquire_variable(fID, vID, ndims=n_dim)
-  IF(n_dim==2) call nf95_get_var(fID,vID,v(1,:), start=[  1,irec])
-  IF(n_dim==3) call nf95_get_var(fID,vID,v(:,:), start=[1,1,irec])
+  IF(n_dim==2) CALL nf95_get_var(fID,vID,v(1,:), start=[  1,irec])
+  IF(n_dim==3) CALL nf95_get_var(fID,vID,v(:,:), start=[1,1,irec])
 
   !--- Flip latitudes: ascending in input file, descending in "rlatu".
@@ -513,6 +513,6 @@
     CALL nf95_inq_varid(fID, TRIM(nam(i)), vID)
     CALL nf95_inquire_variable(fID, vID, ndims=n_dim)
-    IF(n_dim==3) call nf95_get_var(fID,vID,v(1,:,:,i), start=[  1,1,irec])
-    IF(n_dim==4) call nf95_get_var(fID,vID,v(:,:,:,i), start=[1,1,1,irec])
+    IF(n_dim==3) CALL nf95_get_var(fID,vID,v(1,:,:,i), start=[  1,1,irec])
+    IF(n_dim==4) CALL nf95_get_var(fID,vID,v(:,:,:,i), start=[1,1,1,irec])
   END DO
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/simu_airs.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/simu_airs.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/simu_airs.F90	(revision 5103)
@@ -68,5 +68,5 @@
    slope(first_point))*(P(first_point+1)-P(first_point))
         P_tropo=P(first_point)+tmp
-        ! print*, 'P_tropo= ', tmp, P(first_point), P_tropo
+        ! PRINT*, 'P_tropo= ', tmp, P(first_point), P_tropo
         end if
 
@@ -81,5 +81,5 @@
 
 
-        subroutine cloud_structure(len_cs, rneb_cs, temp_cs, &
+        SUBROUTINE cloud_structure(len_cs, rneb_cs, temp_cs, &
    emis_cs, iwco_cs, &
    pres_cs, dz_cs, rhodz_cs, rad_cs, &
@@ -126,5 +126,5 @@
         write(lunout,*) 'dans cloud_structure'
 
-        call ordonne(len_cs, rneb_cs, rneb_ord)
+        CALL ordonne(len_cs, rneb_cs, rneb_ord)
        
 
@@ -184,5 +184,5 @@
 
         do i = 1, nss
-         call sous_section(len_cs, rneb_cs, temp_cs, &
+         CALL sous_section(len_cs, rneb_cs, temp_cs, &
     emis_cs, iwco_cs, &
     pres_cs, dz_cs, rhodz_cs, rad_cs, rneb_ord, &
@@ -277,26 +277,26 @@
         deallocate (sAnv)
 
-       call normal_undef(pcld_hc_cs,cc_hc_cs)
-       call normal_undef(tcld_hc_cs,cc_hc_cs)
-       call normal_undef(iwp_hc_cs,cc_hc_cs)
-       call normal_undef(em_hc_cs,cc_hc_cs)
-       call normal_undef(deltaz_hc_cs,cc_hc_cs)
+       CALL normal_undef(pcld_hc_cs,cc_hc_cs)
+       CALL normal_undef(tcld_hc_cs,cc_hc_cs)
+       CALL normal_undef(iwp_hc_cs,cc_hc_cs)
+       CALL normal_undef(em_hc_cs,cc_hc_cs)
+       CALL normal_undef(deltaz_hc_cs,cc_hc_cs)
        
-       call normal_undef(iwp_hist_cs,cc_hist_cs)
-       call normal_undef(em_hist_cs,cc_hist_cs)
-       call normal_undef(deltaz_hist_cs,cc_hist_cs)
-       call normal_undef(rad_hist_cs,cc_hist_cs)
-
-       call normal_undef(pcld_Cb_cs,cc_Cb_cs)
-       call normal_undef(tcld_Cb_cs,cc_Cb_cs)
-       call normal_undef(em_Cb_cs,cc_Cb_cs)
-
-       call normal_undef(pcld_ThCi_cs,cc_ThCi_cs)
-       call normal_undef(tcld_ThCi_cs,cc_ThCi_cs)
-       call normal_undef(em_ThCi_cs,cc_ThCi_cs)
+       CALL normal_undef(iwp_hist_cs,cc_hist_cs)
+       CALL normal_undef(em_hist_cs,cc_hist_cs)
+       CALL normal_undef(deltaz_hist_cs,cc_hist_cs)
+       CALL normal_undef(rad_hist_cs,cc_hist_cs)
+
+       CALL normal_undef(pcld_Cb_cs,cc_Cb_cs)
+       CALL normal_undef(tcld_Cb_cs,cc_Cb_cs)
+       CALL normal_undef(em_Cb_cs,cc_Cb_cs)
+
+       CALL normal_undef(pcld_ThCi_cs,cc_ThCi_cs)
+       CALL normal_undef(tcld_ThCi_cs,cc_ThCi_cs)
+       CALL normal_undef(em_ThCi_cs,cc_ThCi_cs)
     
-       call normal_undef(pcld_Anv_cs,cc_Anv_cs)
-       call normal_undef(tcld_Anv_cs,cc_Anv_cs)
-       call normal_undef(em_Anv_cs,cc_Anv_cs)
+       CALL normal_undef(pcld_Anv_cs,cc_Anv_cs)
+       CALL normal_undef(tcld_Anv_cs,cc_Anv_cs)
+       CALL normal_undef(em_Anv_cs,cc_Anv_cs)
 
 
@@ -314,8 +314,8 @@
         endif
  
-        end subroutine cloud_structure
-
-
-        subroutine normal_undef(num, den)
+        END SUBROUTINE  cloud_structure
+
+
+        SUBROUTINE normal_undef(num, den)
 
         REAL, intent(in) :: den
@@ -328,8 +328,8 @@
         endif
 
-        end subroutine normal_undef
-
-
-        subroutine normal2_undef(res,num,den)
+        END SUBROUTINE  normal_undef
+
+
+        SUBROUTINE normal2_undef(res,num,den)
 
         REAL, intent(in) :: den
@@ -343,8 +343,8 @@
         endif
 
-        end subroutine normal2_undef
-
-
-        subroutine sous_section(len_cs, rneb_cs, temp_cs, &
+        END SUBROUTINE  normal2_undef
+
+
+        SUBROUTINE sous_section(len_cs, rneb_cs, temp_cs, &
    emis_cs, iwco_cs, &
    pres_cs, dz_cs, rhodz_cs, rad_cs, rneb_ord, &
@@ -406,5 +406,5 @@
 ! Definition d'un nuage de la sous-section
 
-        call topbot(ideb, w, ibeg, iend)
+        CALL topbot(ideb, w, ibeg, iend)
         ideb = iend+1
 
@@ -416,5 +416,5 @@
 ! (ep. optique, ice water path, pression, temperature)
 
-        call caract(ibeg, iend, temp_cs, tau_cs, iwco_cs, &
+        CALL caract(ibeg, iend, temp_cs, tau_cs, iwco_cs, &
    pres_cs, dz_cs, rhodz_cs, rad_cs, pcld, tcld, &
    som_tau, som_iwc, som_dz, som_rad)
@@ -422,5 +422,5 @@
 ! On masque le nuage s'il n'est pas detectable
 
-        call masque(ibeg, iend, som_tau, visible, w)
+        CALL masque(ibeg, iend, som_tau, visible, w)
 
         endif
@@ -432,9 +432,9 @@
 ! Analyse du nuage detecte
 
-        call topbot(1, w, ibeg, iend)
+        CALL topbot(1, w, ibeg, iend)
 
         if (ibeg > 0) then
 
-        call caract(ibeg, iend, temp_cs, tau_cs, iwco_cs, &
+        CALL caract(ibeg, iend, temp_cs, tau_cs, iwco_cs, &
    pres_cs, dz_cs, rhodz_cs, rad_cs, pcld, tcld, &
    som_tau, som_iwc, som_dz, som_rad)
@@ -511,8 +511,8 @@
         endif
 
-        end subroutine sous_section
-
-
-        subroutine masque (ibeg, iend, som_tau, &
+        END SUBROUTINE  sous_section
+
+
+        SUBROUTINE masque (ibeg, iend, som_tau, &
    visible, w)
 
@@ -552,8 +552,8 @@
 
 
-        end subroutine masque
-
-
-         subroutine caract (ibeg, iend, temp_cs, tau_cs, iwco_cs, &
+        END SUBROUTINE  masque
+
+
+         SUBROUTINE caract (ibeg, iend, temp_cs, tau_cs, iwco_cs, &
    pres_cs, dz_cs, rhodz_cs, rad_cs, pcld, tcld, &
    som_tau, som_iwc, som_dz, som_rad)
@@ -617,7 +617,7 @@
 
 
-       end subroutine caract
+       END SUBROUTINE  caract
  
-        subroutine topbot(ideb,w,ibeg,iend)
+        SUBROUTINE topbot(ideb,w,ibeg,iend)
 
         INTEGER, intent(in) :: ideb
@@ -648,7 +648,7 @@
 
 
-        end subroutine topbot
-
-        subroutine ordonne(len_cs, rneb_cs, rneb_ord)
+        END SUBROUTINE  topbot
+
+        SUBROUTINE ordonne(len_cs, rneb_cs, rneb_ord)
 
         INTEGER, intent(in) :: len_cs
@@ -682,8 +682,8 @@
         enddo
         
-        end subroutine ordonne
+        END SUBROUTINE  ordonne
 
  
-        subroutine sim_mesh(rneb_1D, temp_1D, emis_1D, &
+        SUBROUTINE sim_mesh(rneb_1D, temp_1D, emis_1D, &
    iwcon_1D, rad_1D, &
    pres, dz, &
@@ -848,5 +848,5 @@
 ! Appel du sous_programme cloud_structure
 
-        call cloud_structure(len_cs,rneb_cs,temp_cs,emis_cs,iwco_cs,&
+        CALL cloud_structure(len_cs,rneb_cs,temp_cs,emis_cs,iwco_cs,&
    pres_cs, dz_cs, rhodz_cs, rad_cs, &
    cc_tot_cs, cc_hc_cs, cc_hist_cs, &
@@ -913,10 +913,10 @@
 ! Pour test
         
-        call test_bornes('cc_tot_cs     ',cc_tot_cs,1.,0.)
-        call test_bornes('cc_hc_cs      ',cc_hc_cs,1.,0.)
-        call test_bornes('cc_hist_cs    ',cc_hist_cs,1.,0.)
-        call test_bornes('pcld_hc_cs    ',pcld_hc_cs,1200.,0.)
-        call test_bornes('tcld_hc_cs    ',tcld_hc_cs,1000.,100.)
-        call test_bornes('em_hc_cs      ',em_hc_cs,1000.,0.048)
+        CALL test_bornes('cc_tot_cs     ',cc_tot_cs,1.,0.)
+        CALL test_bornes('cc_hc_cs      ',cc_hc_cs,1.,0.)
+        CALL test_bornes('cc_hist_cs    ',cc_hist_cs,1.,0.)
+        CALL test_bornes('pcld_hc_cs    ',pcld_hc_cs,1200.,0.)
+        CALL test_bornes('tcld_hc_cs    ',tcld_hc_cs,1000.,100.)
+        CALL test_bornes('em_hc_cs      ',em_hc_cs,1000.,0.048)
 
         test_tot(num_cs) = cc_tot_cs
@@ -955,44 +955,44 @@
         cc_Anv_mesh = som_Anv
 
-        call normal2_undef(pcld_hc_mesh,som_pcl_hc, &
+        CALL normal2_undef(pcld_hc_mesh,som_pcl_hc, &
    cc_hc_mesh)
-        call normal2_undef(tcld_hc_mesh,som_tcl_hc, &
+        CALL normal2_undef(tcld_hc_mesh,som_tcl_hc, &
    cc_hc_mesh)
-        call normal2_undef(em_hc_mesh,som_emi_hc, &
+        CALL normal2_undef(em_hc_mesh,som_emi_hc, &
    cc_hc_mesh)
-        call normal2_undef(iwp_hc_mesh,som_iwp_hc, &
+        CALL normal2_undef(iwp_hc_mesh,som_iwp_hc, &
    cc_hc_mesh)
-        call normal2_undef(deltaz_hc_mesh,som_deltaz_hc, &
+        CALL normal2_undef(deltaz_hc_mesh,som_deltaz_hc, &
    cc_hc_mesh)
 
-        call normal2_undef(em_Cb_mesh,som_emi_Cb, &
+        CALL normal2_undef(em_Cb_mesh,som_emi_Cb, &
    cc_Cb_mesh)
-        call normal2_undef(tcld_Cb_mesh,som_tcld_Cb, &
+        CALL normal2_undef(tcld_Cb_mesh,som_tcld_Cb, &
    cc_Cb_mesh)
-        call normal2_undef(pcld_Cb_mesh,som_pcld_Cb, &
+        CALL normal2_undef(pcld_Cb_mesh,som_pcld_Cb, &
    cc_Cb_mesh)
 
-        call normal2_undef(em_ThCi_mesh,som_emi_ThCi, &
+        CALL normal2_undef(em_ThCi_mesh,som_emi_ThCi, &
    cc_ThCi_mesh)
-        call normal2_undef(tcld_ThCi_mesh,som_tcld_ThCi, &
+        CALL normal2_undef(tcld_ThCi_mesh,som_tcld_ThCi, &
    cc_ThCi_mesh)
-        call normal2_undef(pcld_ThCi_mesh,som_pcld_ThCi, &
+        CALL normal2_undef(pcld_ThCi_mesh,som_pcld_ThCi, &
    cc_ThCi_mesh)
 
-       call normal2_undef(em_Anv_mesh,som_emi_Anv, &
+       CALL normal2_undef(em_Anv_mesh,som_emi_Anv, &
    cc_Anv_mesh)
-        call normal2_undef(tcld_Anv_mesh,som_tcld_Anv, &
+        CALL normal2_undef(tcld_Anv_mesh,som_tcld_Anv, &
    cc_Anv_mesh)
-        call normal2_undef(pcld_Anv_mesh,som_pcld_Anv, &
+        CALL normal2_undef(pcld_Anv_mesh,som_pcld_Anv, &
    cc_Anv_mesh)
 
 
-        call normal2_undef(em_hist_mesh,som_emi_hist, &
+        CALL normal2_undef(em_hist_mesh,som_emi_hist, &
    cc_hist_mesh)
-        call normal2_undef(iwp_hist_mesh,som_iwp_hist, &
+        CALL normal2_undef(iwp_hist_mesh,som_iwp_hist, &
    cc_hist_mesh)
-        call normal2_undef(deltaz_hist_mesh,som_deltaz_hist, &
+        CALL normal2_undef(deltaz_hist_mesh,som_deltaz_hist, &
    cc_hist_mesh)
-        call normal2_undef(rad_hist_mesh,som_rad_hist, &
+        CALL normal2_undef(rad_hist_mesh,som_rad_hist, &
    cc_hist_mesh)
 
@@ -1102,7 +1102,7 @@
         endif                  ! if N_CS>0
 
-        end subroutine sim_mesh
-
-        subroutine test_bornes(sx,x,bsup,binf)
+        END SUBROUTINE  sim_mesh
+
+        SUBROUTINE test_bornes(sx,x,bsup,binf)
 
         REAL, intent(in) :: x, bsup, binf
@@ -1116,10 +1116,10 @@
         endif
  
-        end subroutine test_bornes
+        END SUBROUTINE  test_bornes
 
         end module m_simu_airs
 
 
-        subroutine simu_airs &
+        SUBROUTINE simu_airs &
    (itap, rneb_airs, temp_airs, cldemi_airs, iwcon0_airs, rad_airs, &
    geop_airs, pplay_airs, paprs_airs, &
@@ -1239,5 +1239,5 @@
 !        if (itap .eq. 1 ) then
 
-        call sim_mesh(rneb_1D, temp_1D, emis_1D, iwcon_1D, rad_1D, &
+        CALL sim_mesh(rneb_1D, temp_1D, emis_1D, iwcon_1D, rad_1D, &
    pres_1D, dz_1D, rhodz_1D, &
    cc_tot_mesh, cc_hc_mesh, cc_hist_mesh, &
@@ -1262,7 +1262,7 @@
 ! Definition des variables a ecrire dans le fichier de sortie
 
-        call normal2_undef(map_prop_hc(i),cc_hc_mesh, &
+        CALL normal2_undef(map_prop_hc(i),cc_hc_mesh, &
    cc_tot_mesh)
-        call normal2_undef(map_prop_hist(i),cc_hist_mesh, &
+        CALL normal2_undef(map_prop_hist(i),cc_hist_mesh, &
    cc_tot_mesh)
 
@@ -1303,4 +1303,4 @@
         
 
-        end subroutine simu_airs
-
+        END SUBROUTINE  simu_airs
+
